Skip to content
Start here

Retrieves Security Center Insights

client.securityCenter.insights.list(InsightListParams { account_id, zone_id, dismissed, 12 more } params?, RequestOptionsoptions?): V4PagePagination<InsightListResponse { count, issues, page, per_page } >
GET/{accounts_or_zones}/{account_or_zone_id}/security-center/insights

Lists all Security Center insights for the account or zone, showing security findings and recommendations.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: InsightListParams { account_id, zone_id, dismissed, 12 more }
account_id?: string

Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

zone_id?: string

Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

dismissed?: boolean

Query param

issue_class?: Array<string>

Query param

issueClassNeq?: Array<string>

Query param

issue_type?: Array<IssueType>

Query param

One of the following:
"compliance_violation"
"email_security"
"exposed_infrastructure"
"insecure_configuration"
"weak_authentication"
"configuration_suggestion"
issueTypeNeq?: Array<IssueType>

Query param

One of the following:
"compliance_violation"
"email_security"
"exposed_infrastructure"
"insecure_configuration"
"weak_authentication"
"configuration_suggestion"
page?: number

Query param: Specifies the current page within paginated list of results.

per_page?: number

Query param: Sets the number of results per page of results.

maximum1000
minimum1
product?: Array<string>

Query param

productNeq?: Array<string>

Query param

severity?: Array<SeverityQueryParam>

Query param

One of the following:
"low"
"moderate"
"critical"
severityNeq?: Array<SeverityQueryParam>

Query param

One of the following:
"low"
"moderate"
"critical"
subject?: Array<string>

Query param

subjectNeq?: Array<string>

Query param

ReturnsExpand Collapse
InsightListResponse { count, issues, page, per_page }
count?: number

Indicates the total number of results.

issues?: Array<Issue>
id?: string
dismissed?: boolean
issue_class?: string
issue_type?: IssueType
One of the following:
"compliance_violation"
"email_security"
"exposed_infrastructure"
"insecure_configuration"
"weak_authentication"
"configuration_suggestion"
payload?: Payload { detection_method, zone_tag }
detection_method?: string

Describes the method used to detect insight.

zone_tag?: string
resolve_text?: string
severity?: "Low" | "Moderate" | "Critical"
One of the following:
"Low"
"Moderate"
"Critical"
since?: string
formatdate-time
subject?: string
timestamp?: string
formatdate-time
page?: number

Specifies the current page within paginated list of results.

per_page?: number

Sets the number of results per page of results.

maximum1000
minimum1

Retrieves Security Center Insights

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const insightListResponse of client.securityCenter.insights.list({
  account_id: 'account_id',
})) {
  console.log(insightListResponse.count);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "count": 1,
    "issues": [
      {
        "id": "id",
        "dismissed": false,
        "issue_class": "always_use_https_not_enabled",
        "issue_type": "compliance_violation",
        "payload": {
          "detection_method": "We detected security rules referencing multiple IP addresses directly in the rules.",
          "zone_tag": "zone_tag"
        },
        "resolve_link": "resolve_link",
        "resolve_text": "resolve_text",
        "severity": "Low",
        "since": "2019-12-27T18:11:19.117Z",
        "subject": "example.com",
        "timestamp": "2019-12-27T18:11:19.117Z"
      }
    ],
    "page": 1,
    "per_page": 25
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "count": 1,
    "issues": [
      {
        "id": "id",
        "dismissed": false,
        "issue_class": "always_use_https_not_enabled",
        "issue_type": "compliance_violation",
        "payload": {
          "detection_method": "We detected security rules referencing multiple IP addresses directly in the rules.",
          "zone_tag": "zone_tag"
        },
        "resolve_link": "resolve_link",
        "resolve_text": "resolve_text",
        "severity": "Low",
        "since": "2019-12-27T18:11:19.117Z",
        "subject": "example.com",
        "timestamp": "2019-12-27T18:11:19.117Z"
      }
    ],
    "page": 1,
    "per_page": 25
  }
}